aboutsummaryrefslogtreecommitdiff
path: root/libraries/Archive-Zip
diff options
context:
space:
mode:
authorDavid Somero <dsomero@hotmail.com>2010-05-11 22:53:53 +0200
committerErik Hanson <erik@slackbuilds.org>2010-05-11 22:53:53 +0200
commit29ff413334dbe9fa39c310875551a245d7b70b98 (patch)
tree30d53840af51110dcc7f0d634614444d1668cf16 /libraries/Archive-Zip
parent73dfe11e6922c1eba4d54fdd3d6d7e209e38fc51 (diff)
downloadslackbuilds-29ff413334dbe9fa39c310875551a245d7b70b98.tar.xz
libraries/Archive-Zip: Added to 12.1 repository
Diffstat (limited to 'libraries/Archive-Zip')
-rw-r--r--libraries/Archive-Zip/Archive-Zip.SlackBuild80
-rw-r--r--libraries/Archive-Zip/Archive-Zip.info8
-rw-r--r--libraries/Archive-Zip/README18
-rw-r--r--libraries/Archive-Zip/slack-desc19
4 files changed, 125 insertions, 0 deletions
diff --git a/libraries/Archive-Zip/Archive-Zip.SlackBuild b/libraries/Archive-Zip/Archive-Zip.SlackBuild
new file mode 100644
index 000000000000..a2902d2467d4
--- /dev/null
+++ b/libraries/Archive-Zip/Archive-Zip.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for Archive::Zip
+
+# Copyright 2008 David Somero <dsomero@hotmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=Archive-Zip
+VERSION=1.23
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="LICENSE README"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+perl Makefile.PL || exit 1
+make OPTIMIZE="$SLKCFLAGS" || exit 1
+make install INSTALLDIRS=vendor DESTDIR=$PKG || exit 1
+
+find $PKG -name $PRGNAM.so -exec strip --strip-unneeded $PKG 2> /dev/null {} \;
+
+mv $PKG/usr/share/man $PKG/usr && rm -rf $PKG/usr/share
+gzip -9 $PKG/usr/man/man3/* 2> /dev/null
+
+# Remove perlocal.pod and .packlist from $PKG
+( for i in perllocal.pod .packlist; do
+ find $PKG -name "$i" -exec rm -rf {} \;
+ done
+) || exit 1
+
+# Remove empty directory
+find $PKG -depth -type d -empty -exec rm -rf {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chmod 644 $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/Archive-Zip/Archive-Zip.info b/libraries/Archive-Zip/Archive-Zip.info
new file mode 100644
index 000000000000..4f4f9dea01c3
--- /dev/null
+++ b/libraries/Archive-Zip/Archive-Zip.info
@@ -0,0 +1,8 @@
+PRGNAM="Archive-Zip"
+VERSION="1.23"
+HOMEPAGE="http://search.cpan.org/~adamk/Archive-Zip-1.23/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/A/AD/ADAMK/Archive-Zip-1.23.tar.gz"
+MD5SUM="7ffcbdc1b603307235fb8d42084cb84d"
+MAINTAINER="David Somero"
+EMAIL="dsomero@hotmail.com"
+APPROVED="Erik Hanson"
diff --git a/libraries/Archive-Zip/README b/libraries/Archive-Zip/README
new file mode 100644
index 000000000000..8486c5ce7515
--- /dev/null
+++ b/libraries/Archive-Zip/README
@@ -0,0 +1,18 @@
+Archive::Zip module allows a Perl program to create, manipulate,
+read, and write Zip archive files.
+
+Zip archives can be created, or you can read from existing zip files.
+Once created, they can be written to files, streams, or strings. Members
+can be added, removed, extracted, replaced, rearranged, and enumerated.
+
+They can also be renamed or have their dates, comments, or other
+attributes queried or modified. Their data can be compressed or
+uncompressed as needed.
+
+Members can be created from members in existing Zip files, or from
+existing directories, files, or strings.
+
+This module uses the Compress::Zlib library to read and write the
+compressed streams inside the files.
+
+Requires Compress-Zlib also available at SlackBuilds.org
diff --git a/libraries/Archive-Zip/slack-desc b/libraries/Archive-Zip/slack-desc
new file mode 100644
index 000000000000..080e90f066af
--- /dev/null
+++ b/libraries/Archive-Zip/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+Archive-Zip: Archive-Zip (perl module)
+Archive-Zip:
+Archive-Zip: The Archive::Zip module allows a Perl program to create, manipulate,
+Archive-Zip: read, and write Zip archive files.
+Archive-Zip:
+Archive-Zip: Zip archives can be created, or you can read from existing zip files.
+Archive-Zip: Once created, they can be written to files, streams, or strings. Members
+Archive-Zip: can be added, removed, extracted, replaced, rearranged, and enumerated.
+Archive-Zip: They can also be renamed or have their dates, comments, or other
+Archive-Zip: attributes queried or modified. Their data can be compressed or
+Archive-Zip: uncompressed as needed.